PUT V1/CustomerSupport.{ext}/UpdateFieldDetails

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.FieldDetails
NameDescriptionTypeAdditional information
DataFileID

No description available

integer

None.

DataFieldID

No description available

integer

None.

FieldName

No description available

string

None.

Description

No description available

string

None.

FieldSerialNo

No description available

string

None.

Action

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "dataFileID": 1,
  "dataFieldID": 2,
  "fieldName": "sample string 3",
  "description": "sample string 4",
  "fieldSerialNo": "sample string 5",
  "action": "sample string 6"
}

application/xml, text/xml

Sample:
<FieldDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <Action>sample string 6</Action>
  <DataFieldID>2</DataFieldID>
  <DataFileID>1</DataFileID>
  <Description>sample string 4</Description>
  <FieldName>sample string 3</FieldName>
  <FieldSerialNo>sample string 5</FieldSerialNo>
</FieldDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.